Bug 216018 - [PATCH] audio/flite: Update to version 2.1.0
Summary: [PATCH] audio/flite: Update to version 2.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-13 09:02 UTC by Šimun Mikecin
Modified: 2019-02-10 16:36 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-


Attachments
svn diff to update from 1.4_1 to 2.0.0 (22.42 KB, patch)
2017-01-13 09:02 UTC, Šimun Mikecin
no flags Details | Diff
patch-to-2.1.0 (24.48 KB, patch)
2019-01-07 20:26 UTC, Kurt Jaeger
no flags Details | Diff
patch-to-2.1.0-v2 (26.29 KB, patch)
2019-01-07 20:48 UTC, Kurt Jaeger
no flags Details | Diff
patch-to-2.1.0-v3 (26.29 KB, patch)
2019-01-07 20:52 UTC, Kurt Jaeger
tobik: maintainer-approval? (sobomax)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Šimun Mikecin 2017-01-13 09:02:53 UTC
Created attachment 178850 [details]
svn diff to update from 1.4_1 to 2.0.0
Comment 1 w.schwarzenfeld freebsd_triage 2018-01-10 13:54:37 UTC
Maintainer feedback, please!
Comment 2 Tobias Kortkamp freebsd_committer 2018-11-07 13:58:30 UTC
This has some problems / unanswered questions:

- The maintainer went through some pain to provide shared libraries
  and with this patch they are not provided anymore.

- Is flite 2.0.0 API compatible with flite 1.4?  Do consumers still
  build?

- This could use an update since there are newer releases now.
Comment 3 Rene Ladan freebsd_committer 2018-12-03 21:22:07 UTC
Maintainer reset.
Comment 4 Kurt Jaeger freebsd_committer 2019-01-07 20:26:57 UTC
Created attachment 200883 [details]
patch-to-2.1.0

This patch is to 2.1.0, testbuilds are fine, and provides shared libs.

depends are:

accessibility/speech-dispatcher
accessibility/eflite
audio/asterisk-flite (fails because asterisk13 does not build due to net-snmp)
multimedia/gstreamer-plugins
multimedia/ffmpeg
multimedia/gstreamer1-plugins
x11-toolkits/gnustep-gui

So I guess APIs are not the problem.
Comment 5 Kurt Jaeger freebsd_committer 2019-01-07 20:31:00 UTC
note: I test-built the depends on 13amd64, all went fine except the asterisk one due to net-snmp
Comment 6 Kurt Jaeger freebsd_committer 2019-01-07 20:48:17 UTC
Created attachment 200884 [details]
patch-to-2.1.0-v2

Pet some portlint complaints
Comment 7 Kurt Jaeger freebsd_committer 2019-01-07 20:52:25 UTC
Created attachment 200885 [details]
patch-to-2.1.0-v3

Fix LICENSE

ChangeLog: https://github.com/festvox/flite/blob/master/README.md
Comment 8 Tobias Kortkamp freebsd_committer 2019-01-17 13:37:54 UTC
Assign back to sobomax@ after ports r487187.
Comment 9 commit-hook freebsd_committer 2019-02-10 16:35:36 UTC
A commit references this bug:

Author: pi
Date: Sun Feb 10 16:34:44 UTC 2019
New revision: 492617
URL: https://svnweb.freebsd.org/changeset/ports/492617

Log:
  audio/flite: upgrade 1.4 -> 2.1

  PR:		216018
  Submitted by:	Simun Mikecin <numisemis@yahoo.com>, pi, jrm
  Reviewed by:	tobik
  Approved by:	sobomax (maintainer timeout)
  Differential Revision:	D19138

Changes:
  head/audio/flite/Makefile
  head/audio/flite/distinfo
  head/audio/flite/files/patch-Makefile
  head/audio/flite/files/patch-config_common__make__rules
  head/audio/flite/files/patch-configure
  head/audio/flite/files/patch-lang-cmulex-make_cmulex
  head/audio/flite/files/patch-main_Makefile
  head/audio/flite/files/patch-parallel-build
  head/audio/flite/files/patch-shlib_deps
  head/audio/flite/files/patch-single-exe
  head/audio/flite/files/patch-src-audio-au_sun.c
  head/audio/flite/files/patch-tools-funds_sts_main.c
  head/audio/flite/files/patch-warnings
  head/audio/flite/pkg-descr
  head/audio/flite/pkg-plist
Comment 10 Kurt Jaeger freebsd_committer 2019-02-10 16:36:05 UTC
Committed, thanks to all who worked on this!